/* Google fonts */
.plus-jakarta-sans {
    font-family: "Plus Jakarta Sans", serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
}

.bold{
    font-family: "Plus Jakarta Sans", serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

.heading-bold{
    font-family: "Plus Jakarta Sans", serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
}

/* this ensures that the padding,border are included in the height and width given */

*{
    box-sizing: border-box;
}

body{
    height: 100vh;
    width: 97.5vw;
    margin: 0 1.25vw;
    padding: 0;
    
    background-color: #070f17;
    color: white;
}

.container{
    
    height: 100%;
    width: 100%;
}

/* HEADER section */

header{
    
    height:10%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: end;
    padding-bottom: 0.5em;
    
    
}

nav{
    
    height: 85%;
    width: 70%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    
    
    background-color: #222e27;
    color: white;
    border-radius: 0.5em;
    
}

/* left part of the nav-bar */

.nav-left{
    width: 30%;
    height:90%;
    
    
    font-size: 1em;
}
.nav-left-left{
    width: 100%;
    height: 100%;
    
    
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.nav-select{
    display: none;
    background-color: #222e27;
    color: white;
    border: none;
    
    transition-duration: 0.5s;
}

/* central part of the nav bar */
.nav-center{
    width: 40%;
    height:90%;
    
    
    
    display: flex;
    justify-content: center;
    align-items: center;
}
.neonfolio{
    text-align: center;
    font-size: 2.75em;
}

/* right part of the nav-bar */
.nav-right{
    width: 30%;
    height:90%;
    
    padding-right: 2em;
    font-size: 1em;
    
    
    
    display: flex;
    align-items: center;
    justify-content: end;
}

/* hover features */

.nav-hover{
    transition-duration: 0.5s;
}

.nav-hover:hover{
    transition-duration: 0.5s;
    transform:scale(1.2);
}

.nav-select:hover{
    transform: scale(1.1);
}


/* MAIN section */

main{
    height: 90%;
    display: flex;
    flex-wrap: wrap;
    overflow: auto;
    gap: 120px;
}

/* PART 1 */

.part1{
    width:100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center; 
}

/* part1 heading  */

.part1-heading{
    
    width: 100%;
    height: 100%;
    max-width: 1200px;
    font-size: 4.5em;

    color: #D6DDE6;

    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center; 
}

.part1-heading-text{
    display: flex;
    flex-direction: column;
}

.part1-heading>h1{
    text-align: center;
    width: 100%;
}

.part1-heading>h1>span{
    transition-duration: 2.5s;
}

/* part1 heading hover-features */

.part1-heading>h1>span:hover{
    transition-duration: 0.25s;
    color: #a7ee43;
    
}

/* part1 image section */
.part1-image{
    
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.part1-image>img{
    height: 100%;
    width: 90%;
    border-radius: 2em;
    border: 2px solid #443d4d;
    transition-duration: 0.5s;
}

/* image hover feature  */
.part1-image>img:hover{
    transition-duration: 1s;
    
    box-shadow: 0 0 15px 5px #443d4d;
    transform: scale(1.05);
}

/* PART 2 */

.part2{
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 2em;
}


/* designing the cards */
.cards
{
   height: 350px;
   width: 416px;
}

/* so that this card only appears when there are 2 columns */
.cards:last-child{
    display: none;
}

.cards-img{
    height:80%;
    width:100%; 
}

.cards-img>img{
    height: 100%;
    width: 100%;
    border: 2px solid #443d4d;
}

.cards-content
{
    height: 20%;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.cards-project-name{
    font-size: 1.25em;
    margin-bottom: 2px;
}

.cards-project-description{
    font-size: 1em;
    color: #868d95;
}

.cards>.cards-img>img{
    transition-duration: 0.5s;
}

/* hover features on the cards */

.cards>.cards-img>img:hover{
    transition: 0.5s;
    transform: scale(1.1);
    box-shadow: 0px 0px 10px 2px #443d4d;
}


/* PART 3  */
.part3
{
    width: 100%;
    font-size: 3em;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center; 
}

.part3-about{
    width: 65%;
    color: #D6DDE6;
}

.part3-about>article{
    display: flex;
    flex-direction: column;
    justify-content: start;
}


/* PART 4 */

.part4{
    height: 50%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 100px 0;
}

.part4-contact{
    height: 65%;
    width: 100%;
    max-width: 600px;
    
    
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.contact-me{
    
    width: 100%;
    font-size: 1.75em;
    text-align: center;
}

.pin{
    width: 65%;
    height: 35%;

    max-height: 60px;
    display: flex;
    justify-content: space-around;
}

.pinbox
{
    height: 100%;
    width: 15%;
    transition-duration: 0.5s;
}

.pinbox>input{
    height: 100%;
    width: 100%;
    border-radius: 0.5em;
    text-align: center;

    background-color: #111920;
    border: 2px solid #3f454b;
    color: #5c656c;
    font-size: 1em;
    
}

/* pin box hover features */
.pinbox:hover{
    transform: scale(1.1);
}


/* submit button */
.submit{
    width: 100%;
    height: 15%;
    
    
    display: flex;
    justify-content: center;
}

.submit>input{
    height: 100%;
    width: 70%;
    border-radius: 0.5em;
    color: #091616;
    background-color: #a7ee43;
    border: none;
    cursor:pointer;
    transition-duration: 0.5s;

}

/* submit hover feature */
.submit>input:hover{
    transition: 0.5s;
    transform: scale(1.1);
}

.submit>input:active{
    transition: 0.5s;
    transform: scale(1.025);
}

/* skip button  */

.skip{
    width: 80%;
    height: 15%;
    display: flex;
    justify-content: center;
    
}

.skip>input{
    color: #a7ee43;
    background-color: #070f17;
    border: none;
    transition: 0.5s;
    cursor:pointer;
}

/* skip button hover feaures */
.skip>input:hover{
    transform: scale(1.2);
    transition-duration: 0.75s;
}

.skip>input:active{
    transform: scale(1.05);
    transition-duration: 0.5s;
}

/* FOOTER */

footer{
    height: 8%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 1em;
}

footer>.water-mark{
    color: #717981;
    font-size: 1.75em;
    margin-left: 2em;
    
}

footer>.follow>input{
    background-color: #070f17;
    color: #d6dde6;
    padding: 0.5em;
    border-radius: 0.5em;

    border: 2px solid #242b33;
    transition-duration: 0.5s;

    cursor: pointer;
    margin-right: 2em;
    padding: 0.5em 1em;


    font-size: 1.25em;

}

/* hover features */
.follow>input:hover{
    transform: scale(1.1);
}

.follow>input:active{
    transform: scale(1.005);
}





/* First breakpoint */
/* for when  there are 2 columns  */
@media only screen and (max-width:1330px) and (min-width: 750px){

    .cards:last-child{
        display: block;
    }

}

/* second breakpoint */
/* for when the nav bar becomes small */
@media only screen and (max-width:1330px) {
    nav{
        width: 100%;
    }
}


/* third breakpoint */
/* when nav-bar items begin to overlap */
@media only screen and (max-width: 800px) {

    .home{
        display: none;
    }

    .portfolio{
        display: none;
    }

    .about{
        display: none;
    }

    .nav-select{
        display: block;
    }
    
}


/* fourth breakpoint */
/* to make the cards small */
@media only screen and (max-width: 900px)

{
    .cards{
        height: 250px;
        width: 316px;
    }
}



/* fifth breakpoint */
/* adjusting everting for mobiles */
@media only screen and (max-width:550px) {
    
    .neonfolio{
        font-size: 2em;
    }
    .nav-right{
        font-size: 0.75em;
    }
    
    .portfolio{
        display: none;
    }
    .about{
        display: none;
    }


    .part1-heading>h1{
        font-size: 0.75em;
    }

    .part1{
        height: 70%;
    }


    .part3-about
    {
        font-size: 0.75em;
    }

    footer>.water-mark{
        font-size: 1em;
    }

    footer>.follow>input{
        font-size: 1em;
    }

}

/* sixth breakpoint */
/* for even smaller screens */
@media only screen and (max-width:360px)
{
    .neonfolio{
        font-size: 1.5em;
    }
}
